#include <solver.hpp>

namespace solver {
std::pair<solver::GeometrySettings, std::vector<InputsMessage>>
    make_geometry(solver::InputInfo);
std::pair<solver::MeshSettings, std::vector<InputsMessage>>
    make_mesh(solver::InputInfo);
std::pair<solver::TimeSettings, std::vector<InputsMessage>>
    make_time(solver::InputInfo);
void add_missing_msg(std::string key, std::vector<InputsMessage> &, Array);
void add_msg(std::string key, std::vector<InputsMessage> &, Array);
} // namespace solver
